dbXML API

## com.dbxml.db.core.query.plan.logical
Class ElementName

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.Name
                  com.dbxml.db.core.query.plan.logical.ElementName

public final class ElementName
extends Name

ElementName

Field Summary
`static ElementName` `Wildcard`

Constructor Summary
`ElementName(java.lang.String name)`
`ElementName(java.lang.String nsURI, java.lang.String name)`

Method Summary
`boolean` `equals(java.lang.Object obj)`

Methods inherited from class com.dbxml.db.core.query.plan.logical.Name
`getName, getNSURI`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Wildcard

    public static final ElementName Wildcard

Constructor Detail

### ElementName

    public ElementName(java.lang.String nsURI,
                       java.lang.String name)

### ElementName

    public ElementName(java.lang.String name)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `Name`

dbXML API

Copyright (c) 2004 The dbXML Group